Bug 67523 - Typo in 2.4.18-5 source causes 'Configure' warning, RHR kernel test failure
Typo in 2.4.18-5 source causes 'Configure' warning, RHR kernel test failure
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-26 16:36 EDT by Roderick Constance
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roderick Constance 2002-06-26 16:36:40 EDT
Description of Problem:

There is a typo in 2.4.18-5/drivers/pcmcia/Config.in that causes 'Configure' to
produce a warning:

[root@eng187 linux-2.4]# sh scripts/Configure -d arch/i386/config.in >/dev/null
scripts/Configure: [: : unary operator expected

In 2.4.18-5/drivers/pcmcia/Config.in, line 26:

   if [ "$CONFIG_8xx" ="y" ]; then

There is a space missing after the equal sign. So it should correctly read:

   if [ "$CONFIG_8xx" = "y" ]; then

This is a small mistake, but it will cause the RedHat Ready (v. 1.7-10d) kernel
test to fail.

Version-Release number of selected component (if applicable):
RedHat 7.3 errata kernel source (2.4.18-5)

How Reproducible:
Always

Steps to Reproduce:
1. install 2.4.18-5 kernel source RPM
2. cd /usr/src/linux-2.4.18-5
3. make oldconfig >/dev/null

Actual Results:
scripts/Configure: [: : unary operator expected

Expected Results:
no warning/error

Additional Information:
Comment 1 Bugzilla owner 2004-09-30 11:39:42 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.